<?php 

    if( !function_exists('glgu_product_category_callback') ){
        function glgu_product_category_callback($atts){
            
            $extra_class  = ' has-text-align-' . (empty($atts['align'])? 'left': $atts['align']);
            if( !empty($atts['categories']) ){
                $extra_class .= ' glgu-column glgu-column-' . (empty($atts['column'])? '3': $atts['column']);
            }

            $extra_style  = empty($atts['columnGap'])? '': '--theme--spacing--gap: ' . $atts['columnGap'] . ';';
            $thumbnail_size = empty($atts['thumbnailSize'])? 'full': $atts['thumbnailSize'];

            $ret  = '<div class="glgu-product-category-wrap ' . esc_attr($extra_class) . '" ';
            $ret .= empty($extra_style)? '': 'style="' . esc_attr($extra_style) . '" ';
            $ret .= ' >';
            if( empty($atts['categories']) ){
                $ret .= '<div class="glgu-notice" >' . esc_html__('Please add the category you want to display.', 'goodlayers-blocks') . '</div>';
            }else{
                foreach( $atts['categories'] as $cat_name ){
                    $term = get_term_by('slug', $cat_name, 'product_cat');

                    if( !empty($term) ){
                        $thumbnail_id = get_term_meta( $term->term_id, 'thumbnail_id', true );
                        $ret .= '<div class="glgu-product-category-item" >';
                        if( !empty($thumbnail_id) ){
                            $ret .= '<div class="glgu-thumbnail" >';
                            $ret .= wp_get_attachment_image($thumbnail_id, $thumbnail_size);
                            $ret .= '</div>';
                        }
                        $ret .= '<h3 class="glgu-title"><a href="' . esc_url(get_term_link($term)) . '" >' . esc_html($term->name) . '</a></h3>';
                        $ret .= '</div>';
                    }
                }
            }
            $ret .= '</div>';

            return $ret;
        }
    }