<?php 

    function box_control_css($type, $atts, $important = true){
        $suffix = $important? ' !important;': ';';
        
        if( !empty($atts['top']) && !empty($atts['right']) && !empty($atts['bottom']) && !empty($atts['left']) ){
            if( $atts['left'] == $atts['right'] ){
                if( $atts['top'] == $atts['bottom'] ){
                    if( $atts['top'] == $atts['left'] ){
                        return "{$type}:{$atts['top']}{$suffix}";
                    }else{
                        return "{$type}:{$atts['top']} {$atts['right']}{$suffix}";
                    }
                }else{
                    return "{$type}:{$atts['top']} {$atts['right']} {$atts['bottom']}{$suffix}";
                }
            }else{
                return "{$type}:{$atts['top']} {$atts['right']} {$atts['bottom']} {$atts['left']}{$suffix}";
            }
        }else if( !empty($atts['top']) || !empty($atts['right']) || !empty($atts['bottom']) || !empty($atts['left']) ){
            $css = '';
            if( !empty($atts['top']) ){
                $css .= "{$type}-top:{$atts['top']}{$suffix}";
            }
            if( !empty($atts['right']) ){
                $css .= "{$type}-right:{$atts['right']}{$suffix}";
            }
            if( !empty($atts['bottom']) ){
                $css .= "{$type}-bottom:{$atts['bottom']}{$suffix}";
            }
            if( !empty($atts['left']) ){
                $css .= "{$type}-left:{$atts['left']}{$suffix}";
            }
            return $css;
        }

        return '';
    }

    add_shortcode('glgu_current_year', 'glgu_current_year_shortcode');
	if( !function_exists('glgu_current_year_shortcode') ){
		function glgu_current_year_shortcode($atts, $content = ''){
			return current_time('Y');
		}
	}

    // get taxonomy list
	if( !function_exists('glgu_get_term_list') ){	
		function glgu_get_term_list( $taxonomy, $cat = '', $with_all = false ){
			$term_atts = array(
				'taxonomy' => $taxonomy, 
				'hide_empty' => 0,
				'number' => 999
			);
			if( !empty($cat) ){
				if( is_array($cat) ){
					$term_atts['slug'] = $cat;
				}else{
					$term_atts['parent'] = $cat;
				}
			}
			$term_list = get_categories($term_atts);

			$ret = array();
			if( !empty($with_all) ){
				$ret[$cat] = esc_html__('All', 'goodlayers-blocks'); 
			}

			if( !empty($term_list) ){
				foreach( $term_list as $term ){
					if( !empty($term->slug) && !empty($term->name) ){
						$ret[$term->slug] = $term->name;
					}
				}
			}

			return $ret;
		}	
	}